xscreensaver-getimage-file(6)

NAME
xscreensaver-getimage-file - select a random image file for use by screen savers

SYNOPSIS
xscreensaver-getimage-file [--verbose] [--no-cache] [--flush-caches] directory-or-URL

DESCRIPTION
The xscreensaver-getimage-file program is a helper program for the xscreensaver hacks that manipulate images. It is invoked by xscreensaver-getimage(6) as needed. It prints the name of a randomly-selected image file. The directory is searched recursively. Non-image files and images smaller than 500x500 are excluded. The directory may also be the URL of an RSS/Atom feed. Enclosed images will be downloaded and cached locally. The contents of the directory are cached, for performance. The cache is re-generated if 3 hours have passed.

OPTIONS
xscreensaver-getimage-file accepts the following options:

--verbose
    Print diagnostics.

--no-cache
    Ignore the cache when searching for images. This may be slow.

--flush-caches
    Discard all caches immediately. They will be re-generated as needed.

directory-or-URL
    If a pathname it is the directory tree whose images should be used. If a URL is specified, it should be the URL of an RSS or Atom feed containing images. The first time it is accessed, all of the images in the feed will be downloaded to a local cache directory. The URL will be polled again when the cache times out. Any new images will be downloaded and cached, and any images no longer in the feed will be discarded.

SEE ALSO
X(1), xscreensaver(1), xscreensaver-settings(1), xscreensaver-getimage(6)

COPYRIGHT
Copyright © 2001-2021 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>, 14-Apr-2001.